boxplot-methods {xps} | R Documentation

## Box Plots

### Description

Produce box-and-whisker plot(s) of the samples.

Usage

`boxplot(x, which = "", size = 0, transfo = log2, range = 0, names = "namepart", ...)`

### Arguments

`x` | object of class `DataTreeSet` or `ExprTreeSet`.
`which` | type of probes to be used, for details see `validData`.
`size` | length of sequence to be generated as subset.
`transfo` | a valid function to transform the data, usually “log2”, or “0”.
`range` | determines how far the plot whiskers extend out from the box.
`names` | optional vector of sample names.
`...` | optional arguments to be passed to `boxplot`.

### Details

Creates a boxplot for slot `data` for an object of class `DataTreeSet` or `ExprTreeSet`.

For `names=NULL` full column names of slot `data` will be displayed while for `names="namepart"` column names will be displayed without name extension. If `names` is a vector of column names, only these columns will displayed as boxplot.

### Note

For a `DataTreeSet` object, data must first be attached using method `attachInten`.

### Author(s)

Christian Stratowa

### See Also

`boxplot.dev`, `boxplot`

### Examples

    ## load existing ROOT scheme file and ROOT data file
    scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    data.test3 <- root.data(scheme.test3, paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))

    ## need to attach scheme mask and probe intensities
    data.test3 <- attachMask(data.test3)
    data.test3 <- attachInten(data.test3)

    if (interactive()) {
    boxplot(data.test3)
    }

    ## optionally remove mask and data to free memory
    data.test3 <- removeInten(data.test3)
    data.test3 <- removeMask(data.test3)

    rm(scheme.test3, data.test3)
    gc()

[Package xps version 1.2.10 Index]